Subject: Yellow Citrus leaves

From: [email-masked] (SteveC9291)
Date: 11 Sep 1996 22:59:16 -0400

I have 10 potted orange seedlings that are setting out in the sun for the
summer.  I lightly fertilized with miracle grow in the spring and early
summer.  Sveeral of the trees have leaves turning yellow now and following
off.  I suspect a nutrient deficiency but do not know what.  Can anyone
help.  I am in zone 4 in Denver Colorado.

---

From: [email-masked] (InGardner)
Date: 13 Sep 1996 09:41:09 -0400

Hello,

It sounds like your orange seedlings are suffering from a microelement
deficiency like iron or a nitrogen deficiency. You can fertilize your
oranges every week with Miracle-Gro using a weak solution. Oranges
like acid soil (pH 5 - 6.5). If your tap water is alkaline, like mine, you
should add a few drops of vinegar to your fertlilizer solution. 

[email-masked]